%global debug_package %{nil}

Name:           setup-tool-cli-beta
Version:        2025.04.0
Release:        rc3
Summary:        A simple setup tool suite
BuildArch:      %{_target_cpu}

License:        MPL-2.0
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  libstp
Requires:       bash
Requires:       libstp
Requires:       pciutils
Requires:       dnf
Requires:       sudo
Requires:       systemd
Recommends:     fastfetch

%description
A simple setup program for RPM-based distros.

%prep
%setup -q

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/licenses/%{name}
gcc setup-tool-cli-beta.c -I/usr/lib64/libstp -L/usr/lib64/libstp /usr/lib64/libstp/libstp-c.so -o setup-tool-cli-beta
cp setup-tool-cli-beta %{buildroot}/%{_bindir}
cp LICENSE %{buildroot}/%{_datadir}/licenses/%{name}

%files
%license %{_datadir}/licenses/%{name}/LICENSE
%{_bindir}/setup-tool-cli-beta

%changelog
%autochangelog
